
/* dIntProg Browser. A webbrowser written in Java.
 * Copyright (C) 2001 Martin Geisler <gimpster@gimpster.com>
 *  
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * 
 * Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

import java.awt.Graphics;
import java.awt.Color;
import javax.swing.*;

/** A paragraph. A paragraph is a simple subclass of {@link BoxFlow}.
 *  The difference is that it makes a little amount of space after the
 *  box to (halfleading). */
public class Paragraph extends BoxFlow {

    /** Updates the width and height of the box. The child-boxes are
     *  laid out from left to right and new lines are made as
     *  necessary. When that's done, the height is increased by 10
     *  pixels. */
    public void doLayout(Graphics g, JComponent c, int w) {
        super.doLayout(g, c, w);
	height = height + 10;
    }

}
