
/* dIntProg Browser. A webbrowser written in Java.
 * Copyright (C) 2001 Martin Geisler <gimpster@gimpster.com>
 *  
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * 
 * Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/** An alias for a {@link VerticalBoxStack}. Since this is the class
 *  that is used for cells in {@link Table tables}, it can contain
 *  everything you can put into a page, including other tables. */
public class TableData extends VerticalBoxStack {

    /** Reports if the cell is empty. A cell in a table is never
     *  empty, even if it has no contents. This is important, as empty
     *  cells can occur in a table.
     *  @return always true, as a cell can't be empty. */
    public boolean isEmpty() {
	return false;
    }

}
